# add

abstract fun add(dependencyNotation: CharSequence)

Add a dependency.

#### Since

8.6

#### Parameters

dependencyNotation

dependency to add

#### See also

DependencyFactory

Valid dependency notation for this method

abstract fun add(dependencyNotation: CharSequence, configuration: Action<in ExternalModuleDependency>)

Add a dependency and configure it.

#### Since

8.6

#### Parameters

dependencyNotation

dependency to add

configuration

an action to configure the dependency

#### See also

DependencyFactory

Valid dependency notation for this method

abstract fun add(files: FileCollection)

Add a dependency.

#### Since

8.6

#### Parameters

files

files to add as a dependency

#### See also

DependencyFactory

abstract fun add(files: FileCollection, configuration: Action<in FileCollectionDependency>)

Add a dependency and configure it.

#### Since

8.6

#### Parameters

files

files to add as a dependency

configuration

an action to configure the dependency

#### See also

DependencyFactory

@Incubating
abstract fun add(externalModule: ProviderConvertible<out MinimalExternalModuleDependency>)

Add a dependency.

#### Since

8.6

#### Parameters

externalModule

external module to add as a dependency

@Incubating
abstract fun add(externalModule: ProviderConvertible<out MinimalExternalModuleDependency>, configuration: Action<in ExternalModuleDependency>)

Add a dependency and configure it.

#### Since

8.6

#### Parameters

externalModule

external module to add as a dependency

configuration

an action to configure the dependency

abstract fun add(dependency: Dependency)
abstract fun add(dependency: Provider<out Dependency>)

Add a dependency.

#### Since

8.6

#### Parameters

dependency

dependency to add

abstract fun <D : Dependency?> add(dependency: D, configuration: Action<in D>)
abstract fun <D : Dependency?> add(dependency: Provider<out D>, configuration: Action<in D>)

Add a dependency and configure it.

#### Since

8.6

#### Parameters

dependency

dependency to add

configuration

an action to configure the dependency